<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="org.eclipse.hyades.logging.adapter.config"
   name="org.eclipse.hyades.logging.adapter.config"
   version="1.2.0">

   <runtime>
      <library name="hglaconfig.jar">
      	<export name="*"/>
      </library>
   </runtime>

   <requires>
      <import plugin="org.eclipse.hyades.logging.adapter"/>
      <import plugin="org.eclipse.hyades.logging.parsers"/>
      <import plugin="org.apache.xerces"/>
   </requires>
   
   <extension-point id="staticParser" name="%parser_Schema" schema="staticParser.exsd"/>

   <extension
         point="org.eclipse.hyades.logging.adapter.adapterComponent">
      <componentClassname
            name="org.eclipse.hyades.logging.adapter.config.outputters.StaticParserOutputter">
      </componentClassname>
   </extension>
   <extension
         point="org.eclipse.hyades.logging.adapter.adapterComponent">
      <componentClassname
            name="org.eclipse.hyades.logging.adapter.config.sensors.StaticParserSensor">
      </componentClassname>
   </extension>
<!-- Apache Access Log Parser extension point -->
   <extension
         point="org.eclipse.hyades.logging.parsers.logParser">
      <parser
            name="%STR_APACHE_ACCESS_LOG_IMPORT_NAME"
            icon="./icons/full/obj16/apache_parser_obj.gif"
            description="%STR_APACHE_ACCESS_LOG_IMPORT_DESCRIPTION"
            class="org.eclipse.hyades.logging.adapter.config.StaticParserWrapper"
            ui_name="%STR_APACHE_ACCESS_LOG_IMPORT_NAME"
            id="org.eclipse.hyades.logging.parsers.ApacheAccessLogParser">
         <field
               useBrowse="true"
               defaultValue=""
               name="%STR_APACHE_ACCESS_LOG_IMPORT_FILE_PATH"
               helpContextId=""
               tooltip="%STR_APACHE_ACCESS_LOG_IMPORT_FILE_PATH_TOOLTIP"
               id="file_path"
               browseType="*.log">
         </field>
         <field
               useBrowse="false"
               defaultValue="1.3.20(static),1.3.26(static),2.0(static),1.3.x(rules),2.0.x(rules)"
               name="%STR_APACHE_ACCESS_LOG_IMPORT_APACHE_VERSION"
               helpContextId=""
               tooltip="%STR_APACHE_ACCESS_LOG_IMPORT_APACHE_VERSION_TOOLTIP"
               ui_type="combobox"
               id="version">
         </field>
<!-- Config file lookup based on the selected version above -->
         <parserParameter
               name="1.3.x(rules)"
               value="./Apache/access/v1.3.26/regex.adapter">
         </parserParameter>
         <parserParameter
               name="2.0.x(rules)"
               value="./Apache/access/v1.3.26/regex.adapter">
         </parserParameter>
<!-- Default should be defined in case a match cannot be found  -->
         <parserParameter
               name="Default"
               value="./Apache/access/v1.3.26/static.adapter">
         </parserParameter>
      </parser>
   </extension>
<!-- Apache Error Log Parser extension point -->
   <extension
         point="org.eclipse.hyades.logging.parsers.logParser">
      <parser
            name="%STR_APACHE_ERR_LOG_IMPORT_NAME"
            icon="./icons/full/obj16/apache_parser_obj.gif"
            description="%STR_APACHE_ERR_LOG_IMPORT_DESCRIPTION"
            class="org.eclipse.hyades.logging.adapter.config.StaticParserWrapper"
            ui_name="%STR_APACHE_ERR_LOG_IMPORT_NAME"
            id="org.eclipse.hyades.logging.parsers.ApacheErrorLogParser">
         <field
               useBrowse="true"
               defaultValue=""
               name="%STR_APACHE_ERR_LOG_IMPORT_FILE_PATH"
               helpContextId=""
               tooltip="%STR_APACHE_ERR_LOG_IMPORT_FILE_PATH_TOOLTIP"
               id="file_path"
               browseType="*.log">
         </field>
         <field
               useBrowse="false"
               defaultValue="1.3.20(static),1.3.26(static),2.0(static),1.3.x(rules),2.0.x(rules)"
               name="%STR_APACHE_ERR_LOG_IMPORT_APACHE_VERSION"
               helpContextId=""
               tooltip="%STR_APACHE_ERR_LOG_IMPORT_APACHE_VERSION_TOOLTIP"
               ui_type="combobox"
               id="version">
         </field>
<!-- Config file lookup based on the selected version above -->
         <parserParameter
               name="1.3.x(rules)"
               value="./Apache/error/v1.3.26/regex.adapter">
         </parserParameter>
         <parserParameter
               name="2.0.x(rules)"
               value="./Apache/error/v1.3.26/regex.adapter">
         </parserParameter>
<!-- Default should be defined in case a match cannot be found  -->
         <parserParameter
               name="Default"
               value="./Apache/error/v1.3.26/static.adapter">
         </parserParameter>
      </parser>
   </extension>


</plugin>
